Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTriangularTexture Class Reference

`#include <vtkTriangularTexture.h>`

Inheritance diagram for vtkTriangularTexture:

[legend]
Collaboration diagram for vtkTriangularTexture:

[legend]
List of all members.

## Detailed Description

generate 2D triangular texture map

Date:
  2002/06/12 17:33:45

Revision:
  1.24

vtkTriangularTexture is a filter that generates a 2D texture map based on the paper "Opacity-modulating Triangular Textures for Irregular Surfaces," by Penny Rheingans, IEEE Visualization '96, pp. 219-225. The textures assume texture coordinates of (0,0), (1.0) and (.5, sqrt(3)/2). The sequence of texture values is the same along each edge of the triangular texture map. So, the assignment order of texture coordinates is arbitrary.

See also:
  vtkTriangularTCoords

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (57%)
  - Schroeder, Will (20%)
  - Martin, Ken (15%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkTriangularTexture.h)`
  - .`cxx` (`/Imaging/vtkTriangularTexture.cxx)`

Tests:
  vtkTriangularTexture (Tests)

Definition at line 54 of file vtkTriangularTexture.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetScaleFactor (float)
virtual float | GetScaleFactor ()
virtual void | SetXSize (int)
virtual int | GetXSize ()
virtual void | SetYSize (int)
virtual int | GetYSize ()
virtual void | SetTexturePattern (int)
virtual int | GetTexturePattern ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkTriangularTexture * | SafeDownCast (vtkObject *o)
vtkTriangularTexture * | New ()
## Protected Methods
| vtkTriangularTexture ()
| ~vtkTriangularTexture ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *data)
## Protected Attributes
int | XSize
int | YSize
float | ScaleFactor
int | TexturePattern

## Member Typedef Documentation

typedef vtkImageSource vtkTriangularTexture::Superclass

| Reimplemented from vtkImageSource. Definition at line 57 of file vtkTriangularTexture.h.

## Constructor & Destructor Documentation

vtkTriangularTexture::vtkTriangularTexture | ( |  | ) | `[protected]`

vtkTriangularTexture::~vtkTriangularTexture | ( |  | ) | `[inline, protected]`

| Definition at line 91 of file vtkTriangularTexture.h.

## Member Function Documentation

virtual const char* vtkTriangularTexture::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkTriangularTexture::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkTriangularTexture::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkTriangularTexture* vtkTriangularTexture::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkTriangularTexture::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

vtkTriangularTexture* vtkTriangularTexture::New | ( |  | ) | `[static]`

| Instantiate object with XSize and YSize = 64; the texture pattern =1 (opaque at centroid); and the scale factor set to 1.0. Reimplemented from vtkObject.

virtual void vtkTriangularTexture::SetScaleFactor | ( | float |  | ) | `[virtual]`

| Set a Scale Factor.

virtual float vtkTriangularTexture::GetScaleFactor | ( |  | ) | `[virtual]`

| Set a Scale Factor.

virtual void vtkTriangularTexture::SetXSize | ( | int |  | ) | `[virtual]`

| Set the X texture map dimension. Default is 64.

virtual int vtkTriangularTexture::GetXSize | ( |  | ) | `[virtual]`

| Set the X texture map dimension. Default is 64.

virtual void vtkTriangularTexture::SetYSize | ( | int |  | ) | `[virtual]`

| Set the Y texture map dimension. Default is 64.

virtual int vtkTriangularTexture::GetYSize | ( |  | ) | `[virtual]`

| Set the Y texture map dimension. Default is 64.

virtual void vtkTriangularTexture::SetTexturePattern | ( | int |  | ) | `[virtual]`

| Set the texture pattern. 1 = opaque at centroid (default) 2 = opaque at vertices 3 = opaque in rings around vertices

virtual int vtkTriangularTexture::GetTexturePattern | ( |  | ) | `[virtual]`

| Set the texture pattern. 1 = opaque at centroid (default) 2 = opaque at vertices 3 = opaque in rings around vertices

virtual void vtkTriangularTexture::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkTriangularTexture::ExecuteData | ( | vtkDataObject * | data | ) | `[protected, virtual]`

## Member Data Documentation

int vtkTriangularTexture::XSize`[protected]`

| Definition at line 96 of file vtkTriangularTexture.h.

int vtkTriangularTexture::YSize`[protected]`

| Definition at line 97 of file vtkTriangularTexture.h.

float vtkTriangularTexture::ScaleFactor`[protected]`

| Definition at line 98 of file vtkTriangularTexture.h.

int vtkTriangularTexture::TexturePattern`[protected]`

| Definition at line 100 of file vtkTriangularTexture.h.

The documentation for this class was generated from the following file:

- Imaging/vtkTriangularTexture.h